BLAKE2_Info< T_64bit > Class Template Reference

BLAKE2 hash information. More...

Inheritance diagram for BLAKE2_Info< T_64bit >:

## Public Types

typedef VariableKeyLength<(T_64bit ? 64 :32), 0,(T_64bit ? 64 :32), 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE > | KeyBase

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength<(T_64bit ? 64 :32), 0,(T_64bit ? 64 :32), 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...

## Static Public Attributes

static const int | MIN_KEYLENGTH = KeyBase::MIN_KEYLENGTH
static const int | MAX_KEYLENGTH = KeyBase::MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH = KeyBase::DEFAULT_KEYLENGTH
static const int | BLOCKSIZE = (T_64bit ? 128 : 64)
static const int | DIGESTSIZE = (T_64bit ? 64 : 32)
static const int | SALTSIZE = (T_64bit ? 16 : 8)
static const int | PERSONALIZATIONSIZE = (T_64bit ? 16 : 8)
Static Public Attributes inherited from VariableKeyLength<(T_64bit ? 64 :32), 0,(T_64bit ? 64 :32), 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

### template<bool T_64bit>
class BLAKE2_Info< T_64bit >

BLAKE2 hash information.

Template Parameters

  T_64bit | flag indicating 64-bit

Since
  Crypto++ 5.6.4

Definition at line 32 of file blake2.h.

The documentation for this class was generated from the following file:

- blake2.h